dbus fails to be configured in chroots

Bug #552404 reported by Alkis Georgopoulos on 2010-03-31
60
This bug affects 9 people
Affects Status Importance Assigned to Milestone
dbus (Ubuntu)
Medium
Unassigned
Lucid
Medium
Alkis Georgopoulos
Maverick
Medium
Alkis Georgopoulos
Natty
Medium
Unassigned

Bug Description

Binary package hint: dbus

Similar to #441100, but I'm not sure if it's a duplicate, so I'm filing it separately.

While upgrading my Lucid/i386 chroot, I got this error:
"Failed to open connection to "system" message bus: Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory"

The result was that dbus and all of the packages that depend on it were left in an unconfigured state, breaking my chroot.

Looking at dbus.postinst, the problem seems to be this line:
  dbus-send --print-reply --system --type=method_call \
 --dest=org.freedesktop.DBus \
  / org.freedesktop.DBus.ReloadConfig > /dev/null

I believe this should either have an "if we_are_not_in_a_chroot" in front of it,
or an "|| true" at the end of it, as detecting chroots can be difficult.

Alkis Georgopoulos (alkisg) wrote :

Attaching a debdiff that adds a simple "|| true" in dbus.postinst to solve the problem.

Please backport it to lucid-updates, as the recent 1.2.16-2ubuntu4.1 security update has "broken" a lot of chroots, e.g. for LTSP users.

For anyone that wants this before it's backported, I've uploaded a fixed version in the ppa for Greek schools:
https://launchpad.net/~ts.sch.gr/+archive/ppa/+sourcepub/1450007/+listing-archive-extra

Bryce Harrington (bryce) wrote :

The patch looks fine but for an SRU this bug report needs to follow SRU policy - see https://wiki.ubuntu.com/StableReleaseUpdates

Also, looking in the natty code for this package it appears it does not have this fix. So this needs a debdiff prepared for natty as well.

It would probably help future reviewers to explain why the || true solves the problem.

Unsubscribing sponsors for now; resubscribe them when the SRU is ready to go.

tags: added: patch
Tapas Mishra (mightydreams) wrote :

Please see a discussion here
https://answers.launchpad.net/ubuntu/+question/144560
it might give you some more information.

Clint Byrum (clint-fewbar) wrote :

With 3 people having marked this issue as affecting them, and a discussion on the ubuntu-server mailing list, this bug seems to be confirmed, so marking as such. Setting Importance to Medium, as this only affects chroots, which are a developer/power user tool typically.

Changed in dbus (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
tags: added: lucid
Alkis Georgopoulos (alkisg) wrote :

Στις 05-02-2011, ημέρα Σαβ, και ώρα 00:17 +0000, ο/η Bryce Harrington έγραψε:
> Also, looking in the natty code for this package it appears it does not
> have this fix. So this needs a debdiff prepared for natty as well.
>
> It would probably help future reviewers to explain why the || true
> solves the problem.

Attaching a .debdiff for natty that also contains a small comment that links to this bug report.

Alkis Georgopoulos (alkisg) wrote :

Attaching a .debdiff for Maverick too.

Changed in dbus (Ubuntu Maverick):
importance: Undecided → Medium
status: New → Confirmed
Changed in dbus (Ubuntu Lucid):
importance: Undecided → Medium
status: New → Confirmed
Martin Pitt (pitti) wrote :

This line is indeed Ubuntu specific, I'll apply the || true. Thanks!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dbus - 1.4.6-1ubuntu3

---------------
dbus (1.4.6-1ubuntu3) natty; urgency=low

  * debian/dbus.postinst: Prevent dbus.postinst from failing in chroots
    (LP: #552404).
 -- Alkis Georgopoulos <email address hidden> Mon, 14 Feb 2011 11:21:53 +0200

Changed in dbus (Ubuntu Natty):
status: Confirmed → Fix Released
Martin Pitt (pitti) wrote :

Sponsored to lucid/maverick-proposed queue as well, thanks! (These still need to be accepted by SRU team).

Changed in dbus (Ubuntu Maverick):
status: Confirmed → Fix Committed
Changed in dbus (Ubuntu Lucid):
status: Confirmed → Fix Committed
assignee: nobody → Alkis Georgopoulos (alkisg)
Changed in dbus (Ubuntu Maverick):
assignee: nobody → Alkis Georgopoulos (alkisg)

Accepted dbus into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Martin Pitt (pitti) wrote :

Accepted dbus into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Alkis Georgopoulos (alkisg) wrote :

Verifying for Lucid.

I don't have a Maverick chroot handy though, I hope someone that uses Maverick can verify it for that series.

tags: added: verification-done-lucid
tags: added: verification-needed-maverick
removed: lucid verification-needed
Changed in dbus (Ubuntu Lucid):
status: Fix Committed → Incomplete
Alkis Georgopoulos (alkisg) wrote :

@bernard williams:
The "Incomplete" status means that the developers are asking the bug reporter to provide some feedback.
Are you a developer asking me something, and if so, what?

Restoring the status to "Fix Committed".

Changed in dbus (Ubuntu Lucid):
status: Incomplete → Fix Committed
Martin Pitt (pitti) wrote :

I installed the current maverick-proposed in my maverick chroot, and confirm that this works fine now.

tags: added: verification-done
removed: verification-done-lucid verification-needed-maverick
Peter Matulis (petermatulis) wrote :

This just happened to me trying to update an LTSP client chroot:

Setting up dbus (1.2.16-2ubuntu4.1) ...
The system user `messagebus' already exists. Exiting.
Failed to open connection to "system" message bus: Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory
dpkg: error processing dbus (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of consolekit:
 consolekit depends on dbus (>= 1.1.2); however:
  Package dbus is not configured yet.
dpkg: error processing consolekit (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
Errors were encountered while processing:
 dbus
 consolekit
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install. Trying to recover:
Setting up dbus (1.2.16-2ubuntu4.1) ...
The system user `messagebus' already exists. Exiting.
Failed to open connection to "system" message bus: Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory
dpkg: error processing dbus (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of consolekit:
 consolekit depends on dbus (>= 1.1.2); however:
  Package dbus is not configured yet.
dpkg: error processing consolekit (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 dbus
 consolekit
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done

Peter Matulis (petermatulis) wrote :

Disregard my last post. I wasn't using -proposed so my observation was an expected one.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dbus - 1.2.16-2ubuntu4.2

---------------
dbus (1.2.16-2ubuntu4.2) lucid-proposed; urgency=low

  * Prevent dbus.postinst from failing in chroots (LP: #552404)
 -- Alkis Georgopoulos <email address hidden> Fri, 21 Jan 2011 12:55:56 +0200

Changed in dbus (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dbus - 1.4.0-0ubuntu1.2

---------------
dbus (1.4.0-0ubuntu1.2) maverick-proposed; urgency=low

  * Prevent dbus.postinst from failing in chroots (LP: #552404).
 -- Alkis Georgopoulos <email address hidden> Mon, 14 Feb 2011 11:49:57 +0200

Changed in dbus (Ubuntu Maverick):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers